amavisdとの通信不可的なメッセージを発見

OSを再起動したらメールの送受信ができなくなりました。

エラーを確認。

[root@localhost ~]# less /var/log/maillog

[Shift]+G で最下段へ。

amavisdとの通信不可的なメッセージを発見しました。

[root@localhost ~]# service amavisd restart

Mail Virus Scanner (amavisd) を起動中: fetch_modules: error loading required module Compress/Zlib.pm:
Compress::Raw::Zlib version 2.036 required--this is only version 2.024 at /usr/lib/perl5/vendor_perl/5.8.8/Compress/Zlib.pm line 11.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/5.8.8/Compress/Zlib.pm line 11.
Compilation failed in require at /usr/sbin/amavisd line 197.
ERROR: MISSING REQUIRED BASIC MODULES:
>Compress::Zlib
BEGIN failed--compilation aborted at /usr/sbin/amavisd line 237.
[失敗]

Compress::Raw::Zlibでつまずいているようですので、

[root@sakuemon ~]# yum --enablerepo=rpmforge update perl-Compress-Raw-Zlib

で解決しました。

OS再起動前にamavisd単体をアップデートしたので、付随するモジュールのバージョンが合わなくなったみたいです。

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です